> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List credit memo items

GET https://rest.test.zuora.com/v1/credit-memos/{creditMemoKey}/items

**Note:** This operation is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. 

Retrieves the information about all items of a credit memo. A credit memo item is a single line item in a credit memo. 

### Filtering

You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body.

If the value of a filterable field is string, you can set the corresponding query parameter to `null` when filtering. Then, you can get the response data with this field value being `null`. 

Examples:
    
  - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100
  
  - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100&sort=createdDate
    


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/credit-memos/get-credit-memo-items

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `creditMemoKey` (string, required) — The unique ID or number of a credit memo. For example, 8a8082e65b27f6c3015ba45ff82c7172 or CM00000001.

### Query parameters

- `page` (integer, optional, default: 1) — The index number of the page that you want to retrieve. This parameter is dependent on `pageSize`. You must set `pageSize` before specifying `page`. For example, if you set `pageSize` to `20` and `page` to `2`, the 21st to 40th records are returned in the response.
- `pageSize` (integer, optional, default: 20) — The number of records returned per page in the response.
- `amount` (double, optional) — This parameter filters the response based on the `amount` field.
- `appliedAmount` (double, optional) — This parameter filters the response based on the `appliedAmount` field.
- `createdById` (string, optional) — This parameter filters the response based on the `createdById` field.
- `createdDate` (datetime, optional) — This parameter filters the response based on the `createdDate` field.
- `id` (string, optional) — This parameter filters the response based on the `id` field.
- `refundAmount` (double, optional) — This parameter filters the response based on the `refundAmount` field.
- `serviceEndDate` (date, optional) — This parameter filters the response based on the `serviceEndDate` field.
- `serviceStartDate` (date, optional) — This parameter filters the response based on the `serviceStartDate` field.
- `sku` (string, optional) — This parameter filters the response based on the `sku` field.
- `skuName` (string, optional) — This parameter filters the response based on the `skuName` field.
- `sourceItemId` (string, optional) — This parameter filters the response based on the `sourceItemId` field.
- `subscriptionId` (string, optional) — This parameter filters the response based on the `subscriptionId` field.
- `updatedById` (string, optional) — This parameter filters the response based on the `updatedById` field.
- `updatedDate` (datetime, optional) — This parameter filters the response based on the `updatedDate` field.
- `sort` (string, optional) — This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: *operator* *field_name* You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: *operator* *field_name*, *operator* *field_name* *operator* is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The `-` operator indicates an ascending order. - The `+` operator indicates a descending order. By default, the response data is displayed in descending order by updated date. *field_name* indicates the name of a sortable field. The supported sortable fields of this operation are as below: - amount - appliedAmount - createdById - createdDate - id - refundAmount - serviceEndDate - serviceStartDate - sku - skuName - sourceItemId - subscriptionId - updatedById - updatedDate Examples: - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?sort=createdDate - /v1/credit-memos/402890245c7ca371015c7cb40ac30015/items?amount=100&sort=createdDate

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `items` (list of GETCreditMemoItemTypewithSuccess, optional) — Container for credit memo items.
- `nextPage` (string, optional) — URL to retrieve the next page of the response if it exists; otherwise absent.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GETCreditMemoItemTypewithSuccess

Container for custom fields of a Credit Memo Item object.

- `amount` (double, optional) — The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax.
- `amountWithoutTax` (double, optional) — The credit memo item amount excluding tax.
- `appliedAmount` (double, optional) — The applied amount of the credit memo item.
- `appliedToItemId` (string, optional) — The unique ID of the credit memo item that the discount charge is applied to.
- `commitmentId` (string, optional) — The ID of the commitment.
- `commitmentPeriodId` (string, optional) — The ID of the commitment period.
- `createdById` (string, optional) — The ID of the Zuora user who created the credit memo item.
- `createdDate` (string, optional) — The date and time when the credit memo item was created, in `yyyy-mm-dd hh:mm:ss` format. For example, 2017-03-01 15:31:10.
- `creditFromItemId` (string, optional) — The ID of the credit from item.
- `creditFromItemSource` (enum, optional) — The type of the credit from item.
  - Allowed values: `InvoiceItem`, `CreditMemoItem`
- `description` (string, optional) — The description of the credit memo item. **Note**: This field is available only if you are on the latest Zuora API version, or you set the `Zuora-Version` request header to `257.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- `excludeItemBillingFromRevenueAccounting` (boolean, optional) — The flag to exclude the credit memo item from revenue accounting. **Note**: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
- `financeInformation` (GetCreditMemoItemTypewithSuccessFinanceInformation, optional) — Container for the finance information related to the credit memo item.
- `id` (string, optional) — The ID of the credit memo item.
- `invoiceScheduleId` (string, optional) — The ID of the invoice schedule associated with the credit memo item. **Note**: This field is available only if you have the Billing Schedule feature enabled.
- `invoiceScheduleItemId` (string, optional) — The ID of the invoice schedule item associated with the credit memo item. The credit memo item is generated during the processing of the invoice schedule item. **Note**: This field is available only if you have the Billing Schedule feature enabled.
- `numberOfDeliveries` (double, optional) — The number of deliveries dedicated to the Delivery Pricing charges. The value might be different, as follows: - For the credit memo generated by a bill run, this field has a value. - For the credit memo generated from an invoice, this field is blank. **Note**: This field is available only if you have the Delivery Pricing feature enabled.
- `processingType` (string, optional) — The kind of the charge for the credit memo item. Its possible values are `Charge` and `Discount`.
- `quantity` (double, optional) — The number of units for the credit memo item.
- `reflectDiscountInNetAmount` (boolean, optional, default: false) — When you apply percentage discounts to either of the following charges, you need to set the `reflectDiscountInNetAmount` field on your discount charge to `true`, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the `reflectDiscountInNetAmount` field to `true`, you must also set the `excludeItemBillingFromRevenueAccounting` field to `true`. * If you are a Billing - Revenue Integration customer, you must set the `reflectDiscountInNetAmount` field to `false`, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the `reflectDiscountInNetAmount` field to `true`.
- `refundAmount` (double, optional) — The amount of the refund on the credit memo item.
- `revenueImpacting` (enum, optional, default: Yes) — Indicates whether this write off operation impacts the revenue. If `revenueImpacting` = `Yes`, the deferred revenue accounting code will be automatically selected from the associated invoice If `revenueImpacting` = `No`, users can select an accounting code such as bad-debt expense accounting code for the write off operation.
  - Allowed values: `Yes`, `No`
- `serviceEndDate` (date, optional) — The service end date of the credit memo item.
- `serviceStartDate` (date, optional) — The service start date of the credit memo item.
- `sku` (string, optional) — The SKU for the product associated with the credit memo item.
- `skuName` (string, optional) — The name of the SKU.
- `shipToContactId` (string, optional) — The ID of the ship-to contact associated with the credit memo item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `soldToContactId` (string, optional) — The ID of the sold-to contact associated with the credit memo item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `soldToContactSnapshotId` (string, optional) — The ID of the sold-to contact snapshot associated with the credit memo item. **Note**: If you have the Flexible Billing Attributes feature disabled, the value of this field is `null`.
- `sourceItemId` (string, optional) — The ID of the source item. - If the value of the `sourceItemType` field is `SubscriptionComponent` , the value of this field is the ID of the corresponding rate plan charge. - If the value of the `sourceItemType` field is `InvoiceDetail`, the value of this field is the ID of the corresponding invoice item. - If the value of the `sourceItemType` field is `ProductRatePlanCharge` , the value of this field is the ID of the corresponding product rate plan charge. - If the value of the `sourceItemType` field is `OrderLineItem` , the value of this field is the ID of the corresponding return order line item.
- `sourceItemType` (enum, optional) — The type of the source item. - If a credit memo is not created from an invoice or a product rate plan charge or a return order line item, the value of this field is `SubscriptionComponent`. - If a credit memo is created from an invoice, the value of this field is `InvoiceDetail`. - If a credit memo is created from a product rate plan charge, the value of this field is `ProductRatePlanCharge`. - If a credit memo is created from a return order line item, the value of this field is `OrderLineItem`.
  - Allowed values: `SubscriptionComponent`, `InvoiceDetail`, `ProductRatePlanCharge`, `OrderLineItem`
- `subscriptionId` (string, optional) — The ID of the subscription associated with the credit memo item.
- `taxMode` (enum, optional) — The tax mode of the credit memo item, indicating whether the amount of the credit memo item includes tax.
  - Allowed values: `TaxExclusive`, `TaxInclusive`
- `taxationItems` (GetCreditMemoItemTypewithSuccessTaxationItems, optional) — Container for the taxation items of the credit memo item. **Note**: This field is available only if you are on the latest Zuora API version, or you set the `Zuora-Version` request header to `239.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).
- `unappliedAmount` (double, optional) — The unapplied amount of the credit memo item.
- `unitOfMeasure` (string, optional) — The units to measure usage.
- `unitPrice` (double, optional) — The per-unit price of the credit memo item.
- `updatedById` (string, optional) — The ID of the Zuora user who last updated the credit memo item.
- `updatedDate` (string, optional) — The date and time when the credit memo item was last updated, in `yyyy-mm-dd hh:mm:ss` format. For example, 2017-03-02 15:36:10.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GetCreditMemoItemTypewithSuccessFinanceInformation

Container for the finance information related to the credit memo item.

- `deferredRevenueAccountingCode` (string, optional) — The accounting code for the deferred revenue, such as Monthly Recurring Liability.
- `deferredRevenueAccountingCodeType` (string, optional) — The type of the deferred revenue accounting code, such as Deferred Revenue.
- `nonRevenueWriteOffAccountingCode` (string, optional) — Specify the accounting code for the non revenue write off. Available only if `revenueImpacting` = `no`.
- `nonRevenueWriteOffAccountingCodeType` (string, optional) — Specify the accounting code type for the non revenue write off.
- `onAccountAccountingCode` (string, optional) — The accounting code that maps to an on account in your accounting system.
- `onAccountAccountingCodeType` (string, optional) — The type of the accounting code that maps to an on account in your accounting system.
- `recognizedRevenueAccountingCode` (string, optional) — The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges.
- `recognizedRevenueAccountingCodeType` (string, optional) — The type of the recognized revenue accounting code, such as Sales Revenue or Sales Discount.
- `revenueRecognitionRuleName` (string, optional) — The name of the revenue recognition rule governing the revenue schedule.
- `revenueScheduleNumber` (string, optional) — Revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, RS-00000001.

### GetCreditMemoItemTypewithSuccessTaxationItems

Container for the taxation items of the credit memo item. **Note**: This field is available only if you are on the latest Zuora API version, or you set the `Zuora-Version` request header to `239.0` or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version).

- `data` (list of GETCMTaxItemTypeNew, optional) — List of taxation items.
- `nextPage` (string, optional) — URL to retrieve the next page of the response if it exists; otherwise absent.

### GETCMTaxItemTypeNew

Container for custom fields of a Credit Taxation Item object.

- `appliedAmount` (double, optional) — The applied amount of the taxation item.
- `exemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `financeInformation` (GetcmTaxItemTypeNewFinanceInformation, optional) — Container for the finance information related to the taxation item.
- `id` (string, optional) — The ID of the taxation item.
- `jurisdiction` (string, optional) — The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
- `locationCode` (string, optional) — The identifier for the location based on the value of the `taxCode` field.
- `name` (string, optional) — The name of the taxation item.
- `refundAmount` (double, optional) — The amount of the refund on the taxation item.
- `sourceTaxItemId` (string, optional, nullable) — The ID of the source taxation item.
- `taxAmount` (double, optional) — The amount of taxation.
- `taxCode` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific credit memo.
- `taxCodeDescription` (string, optional) — The description of the tax code.
- `taxDate` (date, optional) — The date that the tax is applied to the credit memo, in `yyyy-mm-dd` format.
- `taxRate` (double, optional) — The tax rate applied to the credit memo.
- `taxRateDescription` (string, optional) — The description of the tax rate.
- `taxRateType` (enum, optional) — The type of the tax rate.
  - Allowed values: `Percentage`, `FlatFee`
- `unappliedAmount` (double, optional) — The unapplied amount of the taxation item.

### GetcmTaxItemTypeNewFinanceInformation

Container for the finance information related to the taxation item.

- `onAccountAccountingCode` (string, optional, nullable) — The accounting code that maps to an on account in your accounting system.
- `onAccountAccountingCodeType` (string, optional, nullable) — The type of the accounting code that maps to an on account in your accounting system.
- `salesTaxPayableAccountingCode` (string, optional, nullable) — The accounting code for the sales taxes payable.
- `salesTaxPayableAccountingCodeType` (string, optional, nullable) — The type of the accounting code for the sales taxes payable.

## Examples

**Response**

```json
{
  "items": [
    {
      "amount": 1,
      "amountWithoutTax": 0,
      "appliedAmount": 0,
      "appliedToItemId": null,
      "commitmentId": "4028819f9a4dfdf1019a4e04acfb7e63",
      "commitmentPeriodId": "4028819f9a4dfdf1019a4e06f04a402c",
      "createdById": "402881e522cf4f9b0122cf5d82860002",
      "createdDate": "2017-03-01 10:07:10",
      "creditFromItemId": "402880e97a56f30b017a574012e50085",
      "creditFromItemSource": "CreditMemoItem",
      "excludeItemBillingFromRevenueAccounting": true,
      "financeInformation": {},
      "id": "402890555a7e9791015a879f064d0055",
      "invoiceScheduleId": "402881e522cf4f9b0122cf5d82860005",
      "invoiceScheduleItemId": "402881e522cf4f9b0122cf5d82860006",
      "numberOfDeliveries": 1,
      "processingType": "Charge",
      "quantity": 1,
      "refundAmount": 0,
      "serviceEndDate": "2017-03-26",
      "serviceStartDate": "2017-02-27",
      "sku": "SKU-00000001",
      "skuName": "New Component",
      "soldToContactId": "402881e522cf4f9b0122cf5d82860003",
      "soldToContactSnapshotId": "402881e522cf4f9b0122cf5d82860004",
      "sourceItemId": "402890555a7e9791015a7f1756bc0037",
      "sourceItemType": "InvoiceDetail",
      "subscriptionId": "402890d25bec1155015bec35cc7c0bc7",
      "taxMode": "TaxExclusive",
      "taxationItems": {
        "data": [
          {
            "appliedAmount": 0,
            "exemptAmount": 0,
            "financeInformation": {
              "onAccountAccountingCode": "Check",
              "onAccountAccountingCodeType": "Cash",
              "salesTaxPayableAccountingCode": "Check",
              "salesTaxPayableAccountingCodeType": "Cash"
            },
            "id": "402890555a7e9791015a87a072880062",
            "jurisdiction": "CALIFORNIA",
            "locationCode": "06",
            "name": "STATE TAX",
            "refundAmount": 0,
            "sourceTaxItemId": null,
            "taxAmount": 0.1,
            "taxCode": "ServiceTaxCode",
            "taxCodeDescription": "This is tax code description!",
            "taxDate": "2016-09-30",
            "taxRate": 0.0625,
            "taxRateDescription": "This is tax rate description!",
            "taxRateType": "Percentage",
            "unappliedAmount": 0.1
          }
        ]
      },
      "unappliedAmount": 1,
      "unitOfMeasure": "Each",
      "unitPrice": 1,
      "updatedById": "402881e522cf4f9b0122cf5d82860002",
      "updatedDate": "2017-03-01 10:08:43",
      "comment": ""
    },
    {
      "amount": 2,
      "amountWithoutTax": 2,
      "appliedAmount": 0,
      "appliedToItemId": null,
      "commitmentId": "4028819f9a4dfdf1019a4e04acfb7e63",
      "commitmentPeriodId": "4028819f9a4dfdf1019a4e06f04a402c",
      "createdById": "402881e522cf4f9b0122cf5d82860002",
      "createdDate": "2017-03-01 10:07:10",
      "creditFromItemId": "402880e97a56f30b017a574012f00086",
      "creditFromItemSource": "CreditMemoItem",
      "excludeItemBillingFromRevenueAccounting": true,
      "financeInformation": {},
      "id": "402890555a7e9791015a879f06610056",
      "invoiceScheduleId": "402881e522cf4f9b0122cf5d82860005",
      "invoiceScheduleItemId": "402881e522cf4f9b0122cf5d82860006",
      "numberOfDeliveries": 1,
      "processingType": "Charge",
      "quantity": 1,
      "refundAmount": 0,
      "serviceEndDate": "2017-03-26",
      "serviceStartDate": "2017-02-27",
      "sku": "SKU-00000001",
      "skuName": "New Component",
      "soldToContactId": "402881e522cf4f9b0122cf5d82860003",
      "soldToContactSnapshotId": "402881e522cf4f9b0122cf5d82860004",
      "sourceItemId": "402890555a7e9791015a7f1756bd0038",
      "sourceItemType": "InvoiceDetail",
      "subscriptionId": "402890d25bec1155015bec35cc7c0bc7",
      "taxMode": "TaxExclusive",
      "taxationItems": {
        "data": []
      },
      "unappliedAmount": 2,
      "unitOfMeasure": "Each",
      "unitPrice": 2,
      "updatedById": "402881e522cf4f9b0122cf5d82860002",
      "updatedDate": "2017-03-01 10:07:10",
      "comment": ""
    }
  ],
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```